      program histdpcht0
	dimension dt(136),TR(13),res(12)
	character*20 infile,outfile
	data TR/0,0.5, 1, 1.5,2.0,2.5,3.0,3.5,4.0,4.5,5.0,5.5,6.0/
	infile='delpcht0.txt'
	outfile='histdpcht0.res'
	OPEN(10,file=infile)
	OPEN(11,file=outfile)
	do k=1,12
	res(k)=0.
	enddo
	Do kk=1,136
	read(10,*) dtp
	dt(kk)=dtp
	do i=2,13
	if ((dtp.ge.TR(i-1)).and.(dtp.lt.TR(i))) then
	res(i-1)=res(i-1)+1.
	exit
	endif
	enddo
	ENDDO
   30 format(2(1X,F5.2))
	do i=1,12
	res(i)=res(i)/1.36
	del=(tr(i+1)+TR(i))/2.
	write(*,30) del,res(i)
       write(11,30) del,res(i)
	enddo
	close(unit=10)
	close(unit=11)
	pause ' '
	STOP
	END
